+++
title = "Signing CLA"
+++

<div class="clanote">
<p style="text-indent:2em;">
By signing this Agreement For Contribution (this Agreement), the undersigned Contributor agrees to accept and be legally bound by this Agreement. This Agreement applies to the Contribution submitted by Contributor to all the projects of openEuler Community (“Project”), whether provided before, on or after the signing date.
</p>
<p style="text-indent:2em;">
<strong>Contribution</strong> shall mean any work protectable under copyright lawthat is intentionally submitted by Contributor for inclusion in the software distributed by the Project. "submitted" means any form of electronic, verbal, or written communication sent to the hoster of the openEuler Community (Hoster) or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Hoster for the purpose of discussing and improving the Project, but excluding communication that is conspicuously marked or otherwise designated in writing by Me as "Not a Contribution."
</p>
<p style="text-indent:2em;">
<strong>Contributor or I or Me or My</strong> shall mean the individual or legal entity identified in the signature block below. For legal entity, the entity making a Contribution and all other entities that control, are controlled by, or are under common control with that entity are considered to be a single Contributor. For the purposes of this definition, ‘control’ means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.
</p>
<p style="text-indent:2em;">
Each Contributor hereby grants to the Hoster and the recipients of software distributed by the Project a perpetual, worldwide, royalty-free, non-exclusive, irrevocable, sub-licensable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.
</p>
<p style="text-indent:2em;">
Each Contributor hereby grants to the Hoster and recipients of the software distributed by the Project a perpetual, worldwide, royalty-free, non-exclusive, irrevocable patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Project software to which the Contribution was contributed, excluding of any patent claims solely be infringed by your or others’ modification or other combinations. In case the license adopted by the specific software distributed by the Project has further restriction on the patent license granted to the software recipients, for example, restricts the recipients to file patent litigation or enforcement against Contribution or such software, then the patent license to the recipients of the specific Project license prevails. 
</p>
<p style="text-indent:2em;">
Contributor represents that I’m the copyright owner of the Contribution or I’m authorized by the copyright owner to make such Contribution, and I’m legally entitled to grant the rights set out in this Agreement and the License;
</p>
<p style="text-indent:2em;">
Contributor represents that I’ m not aware any of My Contribution has infringed or will infringe any third party's copyrights, trademarks, patents, or other intellectual property rights.
</p>
<p style="text-indent:2em;">
Except as otherwise stated in the Agreement, Contribution is provided without warranties of any kind, either express or implied. In no event shall any Contributor or copyright holder be liable to you for any damages, including, but not limited to any direct, or indirect, special or consequential damages arising from your use or inability to use the software or the Contribution in it, no matter how it’s caused or based on which legal theory, even if advised of the possibility of such damages.
</p>

<p style="text-indent:2em;">
Please select one applicable statement from the following and fill in the blanks.
</p>

</div>


<table id="cla-type-table">
    <tr>
        <td>
            <input type="radio" name="cla-type-radio" value="0" checked />Individual Contributor
        </td>
        <td>
            <input type="radio" name="cla-type-radio" value="1" />Legal Entity Contributor
        </td>
    </tr>
</table>

<table id="individual-table">
    <tr>
        <td colspan="2">
            I am an individual, and no other individual or legal entity, including my employer, has or will have rights with respect to My Contribution.
        </td>
    </tr>
    <tr>
        <td>
            Name*:
        </td>
        <td>
            <input type="text" id="individual-name" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            E-Mail*:
        </td>
        <td>
            <input type="text" id="individual-email" class = "require" maxlength="100" />
        </td>
    </tr>
     <tr>
        <td>
            Telephone:
        </td>
        <td>
            <input type="text" id="individual-telephone" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Fax:
        </td>
        <td>
            <input type="text" id="individual-fax" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Address*:
        </td>
        <td>
            <input type="text" id="individual-address" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Date*:
        </td>
        <td>
            <input type="text" id="individual-date" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            * require field. Please make sure the E-Mail is related with your gitee account.
        </td>
    </tr>
</table>

<table id="legalentity-table">
    <tr>
        <td colspan="2">
            <p>I am a legal entity, the individual below signing this Agreement is authorized by and on behalf of me.</p>
        </td>
    </tr>
    <tr>
        <td>
            Authorized Representative(Name)*:
        </td>
        <td>
            <input type="text" id="legalentity-name" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Title*:
        </td>
        <td>
            <input type="text" id="legalentity-title" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Corporation Name*:
        </td>
        <td>
            <input type="text" id="legalentity-corporation" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Mailing Address*:
        </td>
        <td>
            <input type="text" id="legalentity-address" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            E-Mail*:
        </td>
        <td>
            <input type="text" id="legalentity-email" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Telephone:
        </td>
        <td>
            <input type="text" id="legalentity-telephone" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Fax:
        </td>
        <td>
            <input type="text" id="legalentity-fax" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            Date*:
        </td>
        <td>
            <input type="text" id="legalentity-date" class = "require" maxlength="100" />
        </td>
    </tr>
    <tr>
        <td>
            <input type="hidden" value="" id="oauth-code" />
            <input type="hidden" value="" id="client" />
            <input type="hidden" value="en" id="language" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            * require field. Please make sure the E-Mail is related with your gitee account.
        </td>
    </tr>
</table>

<table id="cla-table">
    <tr>
        <td>
            <a href="#" id="sign-cla-button" class="btn btn-template-main" posturl="/cla/">
                Sign
            </a>
            <a href="#" id="reset-cla-button" class="btn btn-template-main">
                Reset
            </a>
        </td>
    </tr>
    <tr>
        <td>
            <label id="tip-cla-label"></label>
        </td>
    </tr>
</table>
