+++
title = "Integration & Certification"
id = "integrationandcertification"
+++


```
Note: The openEuler community is still being set up, and the design for integration and certification is still in preparation. This article shows the draft idea. Contact community@openeuler.org to provide your suggestions.
```

## What is Integration & Certification

As an open source operating system, openEuler needs to provide users with a rich technical ecosystem, including:

- Hardware drivers

- Software middleware

- Applications

These software may be open source, free, or commercial.

Integration and certification means passing the test to ensure that the openEuler operating system and the above software can be used and are mutually certificated.

## Integration and CertificationopenEuler for hardware drivers 

- The openEuler infrastructure team (<infrastructure@openeuler.org>) needs to provide instructions for preparing a continuous integration environment.

- The hardware driver provider provides a test verification environment.

## Integration and Certification for middleware and applications

### Open Source Software

Once the Integration and Certification team is built, the team will be responsible for cooperating with the communities where the corresponding open source software are developed, and testing openEuler with the corresponding communities.

### Free Software

After the Integration and Certification team is established, the team will be responsible for cooperating with the owners of the corresponding free software to perform integration testing with openEuler or the corresponding communities.

### Commercial Software

Once the Integration and Certification team is established, the team will be responsible for cooperating with the corresponding commercial software providers.