+++
title = "Contributions to the Community"
+++

### Preparations

Before you start, please note that you must have a Gitee account. To register an account, go to [https://gitee.com/signup](https://gitee.com/signup).    

We appreciate your contributions to the community. By signing a contributor license agreement (CLA), we ensure that the community is free to use your contributions. The signing link is [https://openeuler.org/en/cla.html](https://openeuler.org/en/cla.html). Gitee authentication is required when signing CLA.      

Select a project you may be interested in from the project catalog at [https://gitee.com/openeuler](https://gitee.com/openeuler)-Code Sources, [https://gitee.com/src-openeuler](https://gitee.com/src-openeuler)-Package Sources. Read the ```CONTRIBUTING.md``` file for project information and contribution instructions.  If you are not sure which project is suitable for you, refer to the introduction of the [SIGs](./sig.html) in the community.    

The coding style suggested for each project will help the community quickly process your submittals. Please read the ```code-of-conduct.md``` file in the root directory of each project. If no such suggestion is provided, please refer to the coding style suggested by the community at [https://gitee.com/openeuler/community/blob/master/code-of-conduct.md](https://gitee.com/openeuler/community/blob/master/code-of-conduct.md).  <br>    

### Getting Started

  The openEuler community selects [Gitee](https://gitee.com/openeuler) as its development system. All your contributions are made through this platform. You are welcome to participate in the following activities:

#### Report Issues

A great way to contribute to the project is to send a detailed report when you encounter an issue. We always appreciate a well-written, thorough bug report and feature propose, and will thank you for it! For details about how to report an issue, click [Here] (https://gitee.com/openeuler/community/blob/master/CONTRIBUTING.md#report-issues).    

**Note:** Before reporting an issue, you are advised to search for the issue and check whether the issue has been reported.   

If you are not sure about the project to which the issue or suggestion belongs, send an email to <dev@openeuler.org> for help.   

#### Participate in Discussion

The openEuler community provides multiple communication channels. For details, click [Here] (https://gitee.com/openeuler/community/blob/master/en/communication.md). You are advised to participate in the discussion or seek help from community memberships in the following ways:

If your opinions, questions, and solutions are clear and you want to obtain feedback or help from key memberships of the community in real time, you are advised to use [Internet Relay Chat (IRC)](./community/irc.html).

If you have a good idea or solution, but you are not sure which project you should belong to or how to obtain help, you are advised to use [Mail List] (./community/mails.html) to initiate a discussion.

If you find an issue in a project or have a clear solution for a project, you are advised to submit the issue to the project for discussion.

#### Submit Code and Proposals

The openEuler community uses [Gitee](https://gitee.com/openeuler) pull requests (PRs) to manage code. You are welcome to submit your contributions to the community through PRs. If you are a beginner, please click [Here] (https://gitee.com/openeuler/community/blob/master/CONTRIBUTING.md#submit-pull-requests) to see how to submit a PR.

Before submitting a PR, you are advised to communicate with related project memberships in advance through any communication channel provided above for quick PR processing.

### Suggestions

If you join the openEuler community for the first time, you are advised to select the [SIG](./sig.html) that you are interested in, add the [SIG](./sig.html) to the IRC channel ([IRC] (./community/irc.html)) based on the SIG group information, and subscribe to the related mail list ([Subscription] (./community/mails.html)) to facilitate communication with other developers.

For new beginners, it is recommended that you start from bug-fix. The help-wanted label is used in the issue list of each project to identify bugs that can be fixed by the beginners. This helps you quickly get familiar with the project structure and understand the community process.

If a PR is used to solve an issue or issues are associated, it is recommended that the PRs and issues be associated with the ```#<issue-id>``` in the commit message or comments. This will help other developers to understand the associations between PRs and issues. <br/>

### References

The [Community](https://gitee.com/openeuler/community) project introduces the processes and tools related to community operations and contribution management. 

